Please include 32bit version of padsp in 64bit openSUSE

As seen here. Summary:

I’ve been trying to fix a Linux game for which sound wasn’t working. After some searching, I found that I must run it with the “padsp” command. However, the game is 32 bit and I run 64 bit openSUSE, so “padsp ./game_binary” wouldn’t work.

I searched for a padsp32 command and even tried to replicate the padsp script, but the library for the x32 version doesn’t exist in the x64 repositories. Eventually I got it working by extracting libpulsedsp.so from the x32 openSUSE repos, and manually launching the binary with a LD_PRELOAD pointing to it. This is a workaround and maintaining it can become problematic.

The existing library can be found in /usr/lib64/pulseaudio/libpulsedsp.so and the script in /usr/bin/padsp. Basically, I’m asking for x32 bit versions of these in the x64 variant of openSUSE, so any 32bit program can benefit from them too.

On 2013-09-10 00:16, MirceaKitsune wrote:

> Basically, I’m asking for x32 bit versions of these in the x64 variant
> of openSUSE, so any 32bit program can benefit from them too.

But we are not the people that can do that. We are just users helping
other users, as volunteers.

You’d better write a bugzilla, or try raising attention of devs by
asking in the mail lists.


Cheers / Saludos,

Carlos E. R.
(from 12.3 x86_64 “Dartmouth” at Telcontar)

Hi all!

You can simply install the 32-bit-version by:

zypper in libpulse0-32bit

I’m developing software mainly in 32bit and so far I always found a corresponding 32-bit opensuse package by adding “-32bit”.

Hope this helps
Simon